[-]
[+]
|
Changed |
kiwi.changes
|
|
[-]
[+]
|
Changed |
kiwi.spec
^
|
|
[-]
[+]
|
Added |
fix-products.diff
^
|
@@ -0,0 +1,34 @@
+diff --git a/modules/KIWICollect.pm b/modules/KIWICollect.pm
+index 84cd474..6f57aef 100644
+--- a/modules/KIWICollect.pm
++++ b/modules/KIWICollect.pm
+@@ -634,7 +634,7 @@ sub Init
+ $this->{m_repos}->{$r}->{'srcdirs'} = undef;
+ }
+ }
+- return;
++ return 1;
+ }
+ # /Init
+
+@@ -2596,7 +2596,7 @@ sub createBootPackageLinks
+ }
+ }
+ }
+- $RPMLIST -> close();
++ $RPMLIST -> close() if ($RPMLIST);
+ return $retval;
+ }
+
+diff --git a/modules/KIWIProductData.pm b/modules/KIWIProductData.pm
+index 48a4f6a..98f78de 100644
+--- a/modules/KIWIProductData.pm
++++ b/modules/KIWIProductData.pm
+@@ -61,6 +61,7 @@ sub new {
+ #==========================================
+ # Constructor setup
+ #------------------------------------------
++ $this->{m_collect} = shift;
+ $this->{m_prodinfo_updated} = 0;
+ $this->{m_prodvars_updated} = 0;
+ $this->{m_prodopts_updated} = 0;
|
[-]
[+]
|
Changed |
_link
^
|
@@ -1,4 +1,4 @@
-<link project="openSUSE.org:Virtualization:Appliances" package="kiwi" baserev="fc9a513b6a1cd06b4d478a9ef2df9356">
+<link project="openSUSE.org:Virtualization:Appliances" package="kiwi" baserev="5719b8bedb1c803b8296208ea3b7277d">
<patches>
<branch/>
</patches>
|
|
Changed |
kiwi-docu.tar.bz2
^
|
[-]
[+]
|
Added |
kiwi-find-boot-requires.sh
^
|
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+sourcearchive=$1
+shift
+boottype=$1
+shift
+architecture=$1
+shift
+oses="$@"
+
+# extract files
+tar xfj $sourcearchive kiwi/system/boot/ >&/dev/null
+
+declare -i MISSING
+MISSING="1"
+for os in $oses; do
+ file="kiwi/system/boot/$architecture/$boottype/$os/config.xml"
+ [ -e "$file" ] || echo "ERROR_NO_BOOT_CONFIG_FILE_FOUND"
+
+ # my professional enterprise ready xml parser:
+ while read line; do
+ l=($line)
+ package=${l[0]}
+ arch=${l[1]}
+ if [ -z "$arch" -o "$arch" == "$architecture" ]; then
+ echo -n "$package "
+ unset MISSING
+ fi
+ done < <( sed '/<packages type="delete">/,/<\/packages>/d' "$file" | perl -e 'while (<STDIN>) { if ($_ =~ /.*package name="([^"]*)"( arch="([^"]*)")?.*/ ) { print $1." ".$3."\n"; }; }'
+ )
+done
+
+[ -z "$MISSING" ] || echo "ERROR_NO_DEPENDENCIES_FOUND"
+
+#cleanup
+rm -rf kiwi
|
[-]
[+]
|
Added |
kiwi-repo.tar.bz2/repo/armv5tel
^
|
+(symlink to armv7l)
|
[-]
[+]
|
Added |
kiwi-repo.tar.bz2/repo/armv7l
^
|
+(directory)
|
[-]
[+]
|
Added |
kiwi-repo.tar.bz2/repo/armv7l/README
^
|
@@ -0,0 +1,4 @@
+# /.../
+# put the packages you need to provide with kiwi
+# for the appropriate architecture here
+# ---
|
[-]
[+]
|
Changed |
kiwi-rpmlintrc
^
|
@@ -7,6 +7,9 @@
# kiwi includes the SVN revision of this build as hidden file
addFilter("hidden-file-or-dir /usr/share/kiwi/.revision")
+# kiwi includes pub keys in .ssh as hidden file
+addFilter("hidden-file-or-dir /usr/share/kiwi/image/.*/.*/root/root/.ssh")
+
# don't apply perl naming policy on kiwi
addFilter("kiwi.* perl5-naming-policy-not-applied")
|
|
Changed |
kiwi.tar.bz2
^
|